Package weka.classifiers.mi.supportVector

# Class MIPolyKernel

java.lang.Object
weka.classifiers.functions.supportVector.Kernel
weka.classifiers.functions.supportVector.CachedKernel
weka.classifiers.functions.supportVector.PolyKernel
weka.classifiers.mi.supportVector.MIPolyKernel

All Implemented Interfaces:
  `Serializable`, `CapabilitiesHandler`, `MultiInstanceCapabilitiesHandler`, `OptionHandler`, `RevisionHandler`

public class MIPolyKernel extends PolyKernel implements MultiInstanceCapabilitiesHandler
The polynomial kernel : K(x, y) = <x, y>^p or K(x, y) = (<x, y>+1)^p

Valid options are:

     -D
      Enables debugging output (if available) to be printed.
      (default: off)

     -no-checks
      Turns off all checks - use with caution!
      (default: checks on)

     -C <num>
      The size of the cache (a prime number), 0 for full cache and
      -1 to turn it off.
      (default: 250007)

     -E <num>
      The Exponent to use.
      (default: 1.0)

     -L
      Use lower-order terms.
      (default: no)

Version:
  $Revision: 10036 $
Author:
  Eibe Frank (eibe@cs.waikato.ac.nz), Shane Legg (shane@intelligenesis.net) (sparse vector code), Stuart Inglis (stuart@reeltwo.com) (sparse vector code), Lin Dong (ld21@cs.waikato.ac.nz) (MIkernel)
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`MIPolyKernel()`
default constructor - does nothing.
`MIPolyKernel(Instances data, int cacheSize, double exponent, boolean lowerOrder)`
Creates a new `MIPolyKernel` instance.

## Method Summary

Modifier and Type
Method
Description
`void`
`clean()`
Frees the cache used by the kernel.
`Capabilities`
`getCapabilities()`
Returns the Capabilities of this kernel.
`Capabilities`
`getMultiInstanceCapabilities()`
Returns the capabilities of this multi-instance kernel for the relational data.
`String`
`getRevision()`
Returns the revision string.

### Methods inherited from class weka.classifiers.functions.supportVector.PolyKernel

`exponentTipText, getExponent, getOptions, getUseLowerOrder, globalInfo, listOptions, setExponent, setOptions, setUseLowerOrder, toString, useLowerOrderTipText`

### Methods inherited from class weka.classifiers.functions.supportVector.CachedKernel

`buildKernel, cacheSizeTipText, eval, getCacheSize, numCacheHits, numEvals, setCacheSize`

### Methods inherited from class weka.classifiers.functions.supportVector.Kernel

`checksTurnedOffTipText, debugTipText, forName, getChecksTurnedOff, getDebug, makeCopies, makeCopy, setChecksTurnedOff, setDebug`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MIPolyKernel

public MIPolyKernel()
default constructor - does nothing.

### MIPolyKernel

public MIPolyKernel(Instances data, int cacheSize, double exponent, boolean lowerOrder) throws Exception
Creates a new `MIPolyKernel` instance.

Parameters:
  `data` - the training dataset used.
  `cacheSize` - the size of the cache (a prime number)
  `exponent` - the exponent to use
  `lowerOrder` - whether to use lower-order terms
Throws:
  `Exception` - if something goes wrong

## Method Details

### getCapabilities

public Capabilities getCapabilities()
Returns the Capabilities of this kernel.

Specified by:
  `getCapabilities` in interface `CapabilitiesHandler`
Overrides:
  `getCapabilities` in class `PolyKernel`
Returns:
  the capabilities of this object
See Also:
  - `Capabilities`

### getMultiInstanceCapabilities

public Capabilities getMultiInstanceCapabilities()
Returns the capabilities of this multi-instance kernel for the relational data.

Specified by:
  `getMultiInstanceCapabilities` in interface `MultiInstanceCapabilitiesHandler`
Returns:
  the capabilities of this object
See Also:
  - `Capabilities`

### clean

public void clean()
Frees the cache used by the kernel.

Overrides:
  `clean` in class `PolyKernel`

### getRevision

public String getRevision()
Returns the revision string.

Specified by:
  `getRevision` in interface `RevisionHandler`
Overrides:
  `getRevision` in class `PolyKernel`
Returns:
  the revision